#!/bin/sh

PATH=/bin:/sbin:/usr/bin:/usr/sbin

W_LOG=/tmp/Data/script.log
W_DIR=/tmp/self_upgrade

/usr/local/sony/bin/nblconfig -ksel normal

# /bin/mount -o remount -t tmpfs -o size=51m /dev/shm /tmp

mkdir -p /tmp/Data

grep \/Data /proc/mounts
if [ $? -ne 0 ];
then
   /usr/local/sony/bin/mtdmount -t vfat -o ro,shortname=winnt,iocharset=utf8 Data /Data
fi

echo Starting $0 > $W_LOG

for file in /proc/filesystems /proc/mtd /proc/mounts
do
   echo "-----------------------------" >> $W_LOG
   echo $file >> $W_LOG
   cat $file >> $W_LOG
   echo "-----------------------------" >> $W_LOG
done

echo "df -k before remount" >> $W_LOG
echo "-----------------------------------" >> $W_LOG
/bin/df -k >> $W_LOG
echo "-----------------------------------" >> $W_LOG

echo "/usr/local/sony/bin/nblconfig -dump" >> $W_LOG
echo "-----------------------------------" >> $W_LOG
/usr/local/sony/bin/nblconfig -dump >> $W_LOG
echo "-----------------------------------" >> $W_LOG

echo "./nblsdm -?" >> $W_LOG
echo "-----------------------------------" >> $W_LOG
./nblsdm -? >> $W_LOG
echo "-----------------------------------" >> $W_LOG
echo "./nblsdm list" >> $W_LOG
echo "-----------------------------------" >> $W_LOG
./nblsdm list >> $W_LOG
echo "-----------------------------------" >> $W_LOG

# echo "-----------------------------------" >> $W_LOG
# echo "/usr/local/sony/bin/mkdiagms" >> $W_LOG
# /usr/local/sony/bin/mkdiagms >> $W_LOG
# echo "   result $?"
# echo "-----------------------------------" >> $W_LOG

rm -rf /tmp/change_update.sh
/usr/local/sony/bin/mtdmount -t vfat -o remount,rw,shortname=winnt,iocharset=utf8 Data /Data
cp -f $W_LOG /Data
/usr/local/sony/bin/mtdmount -t vfat -o remount,ro,shortname=winnt,iocharset=utf8 Data /Data
sync
sync
sync
# reboot
exit 16

